﻿<!DOCTYPE html>
<html>

<head>
	<title>EasyDict - open source translator</title>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="/static/templates/reset.css">
	<link rel="stylesheet" href="/static/templates/my_styles.css">
	<script src="https://cdn.jsdelivr.net/npm/brython@3.8.9/brython.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/brython@3.8.9/brython_stdlib.js"></script>
	<link rel="shortcut icon" href="/static/images/ed_tray_icon.svg" />
</head>

<body class="container" onload="brython(1)">
<script type="text/python" src="/static/brython/ed_ajax.py" /></script>
	<header>
		<img align="left" src="/static/images/ed_icon.svg" width="100" height="100" />
		<a title="Přepnout stránku na český jazyk" href="/?lang=cze"><img align="right" class="img_flag" src="/static/images/flag_cze.svg"/></a>
		<a title="Switch site to english language" href="/?lang=eng"><img align="right" class="img_flag" src="/static/images/flag_eng.svg"/></a>
		<h1>Welcome to EasyDict</h1>
		The first open source translator which is completely open with dictionary data too.
	</header>
	<main>
		<p>
The goal of the EasyDict project is to provide users with tools for translation between different languages. All tools have to be completely open source (licenced by <a title="GPL3.0" href="https://www.gnu.org/licenses/gpl-3.0.html" target="_blank" rel="noopener">GPL3.0</a>) and all dictionary entries have to be open too (licenced by <a title="GNU/FDL" href="https://www.gnu.org/licenses/fdl-1.3.html" target="_blank" rel="noopener">GNU/FDL</a>).<br />
Dictionaries are currently available for translation from english to czech language (and the other way round), which come from this project <a title="http://svobodneslovniky.cz" href="http://svobodneslovniky.cz" target="_blank" rel="noopener">http://svobodneslovniky.cz</a>. There are also the first two applications that allow the use of dictionaries (see below).</p><br />
<p><div class="bold">Current state - first phase:</div>
In this first phase of the project, there are two applications available that can be used for translation (indeed only between English and Czech, for now). Firstly you can use this site, on which you can use EasyDict in its web version (on the right side of the page). The web version is written in Python, CherryPy and Brython.
<br />
There is also a desktop version written in Python, PyGObject and GTK3 available for download, which can translate just like this web version, but has some more user friendly features (for example: translation directly from system clipboard, so just copy the text anywhere in the system - for example with Control+C - and if the EasyDict application window is open, the translation will take place automatically).<br /> Both versions of the application have the same database backend, which is TinyDB with my own extension for orjson (orjson is the fastest implementation of json format for Python).
So far, this variant seems to me to be the best and sufficient, but in the next phases of the project another database can be used too (in-memory-storage for desktop app and RethinkDB for the web app, ...). <br />
Both applications are in the alpha version stage and will need some more tunning and of course addition of some functions,
but they work well for the translation itself (if you find a bug, do not hesitate to report it).
</p><br /><p><div class="bold">Future state - second phase:</div>
Creating the simplest and most user-friendly possible <a title="CMS" href="https://cs.wikipedia.org/wiki/CMS" target="_blank" rel="noopener">CMS</a>, which will allow users to edit existing or insert new translations. At this stage, I would still like to limit testing to the English-Czech dictionary. A volunteer or volunteers must also be found to authorize new submitted translations, (however, I can do it alone with my friend Alex from England, who will practice Czech and ensure the maximum quality of English translation), which would then be added to the dictionary.
</p><br />
		<p><div class="bold">Future state - third phase:</div>Both the application and the CMS for use with other dictionaries will be prepared, and EasyDict will start to be promoted anywhere in the world to create more open dictionaries and the community around them.
		</p>
		<hr />
		<h1 style="text-align: center;">Donate to EasyDict!</h1>
		<p style="text-align: center;">This open project is created in one person's free time (whose name you can find in footer). I will be happy if you decide to support me financially in any way you can. Below are some of the ways you can do that. If I could see that there is interest in the project and its vision, then other support options may be added in the future (eg via Startovac or Patreon).
		</p>
		<p>
			<br />
			<div class="bold"><a name="bank">Bank account number:</a></div>
			<div class="hover_img"><a href="#bank">100337997/2250<span><img src="/static/images/qrcode_bank.svg" alt="Bank account QRCode"/></span></a></div>
			<br />
			<div class="bold"><a name="iban">IBAN:</a></div>
			<div class="hover_img"><a href="#iban">CZ71 2250 0000 0001 0033 7997<span><img src="/static/images/qrcode_iban.svg" alt="IBAN QRCode"/></span></a></div>
			<br />
			<div class="bold"><a name="btc">Bitcoin adress:</a></div>
			<div class="hover_img"><a href="#btc">16tpbHNWghAgovpxxN63sHsf7P1tyH4vyd<span><img src="/static/images/qrcode_bt.svg" alt="Bitcoin QRCode"/></span></a></div>
			<br />
			<div class="bold"><a name="ltc">Litecoin adress:</a></div>
			<div class="hover_img"><a href="#ltc">LMhUwNiTDqA9WKE3SuboEdddzK2Eo93gKe<span><img src="/static/images/qrcode_lt.svg" alt="Litecoin QRCode"/></span></a></div>
			<br />
			<p style="text-align: center;">(If you are interested, I can add addresses to other cryptocurrencies. In which case, feel free to let me know.)
			</p>
		</p>
	</main>
	<side_bar>
		<div class="search_form">
			<fieldset>
				<input type="text" name="searched_text" size="10" maxlength="20" id="searched_text" />
				<button type="submit" id="button_search">Search</button>
				<select id="language">
					<option>English</option>
					<option>Czech</option>
				</select>
			</fieldset>
			<fieldset>
				<label>
					<input type="radio" id="whole_word" name="optionsRadios" value="whole_word" checked>Whole word</label>
				<label>
					<input type="radio" id="fulltext" name="optionsRadios" value="fulltext"/>Fulltext</label>
			</fieldset>
			<hr />
		</div>
		<div id="results">The results of search will be here.</div>
		<div class="rest">
			<hr />News: TBA</div>
	</side_bar>
	<footer>Jiří Němec, 2020</footer>
</body>

</html>
